com.sun.jna.platform.win32

## Class WinNT.PRIVILEGE_SET

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinNT.PRIVILEGE_SET

Enclosing interface:
  WinNT

    public static class WinNT.PRIVILEGE_SET
    extends Structure

Specifies a set of privileges.
It is also used to indicate which, if any, privileges are held by a user or group requesting access to an object.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.StructField`

### Field Summary

Fields
`WinDef.DWORD` `Control`
`static java.util.List<java.lang.String>` `FIELDS`
`WinDef.DWORD` `PrivilegeCount`
`WinNT.LUID_AND_ATTRIBUTES[]` `Privileges`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`PRIVILEGE_SET()`
`PRIVILEGE_SET(int nbOfPrivileges)`
`PRIVILEGE_SET(Pointer p)` Initialize a TOKEN_PRIVILEGES instance from initialized memory.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected java.util.List<java.lang.String>` `getFieldOrder()` Return this Structure's field names in their proper order.

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### FIELDS

    public static final java.util.List<java.lang.String> FIELDS

#### PrivilegeCount

    public WinDef.DWORD PrivilegeCount

#### Control

    public WinDef.DWORD Control

#### Privileges

    public WinNT.LUID_AND_ATTRIBUTES[] Privileges

### Constructor Detail

#### PRIVILEGE_SET

    public PRIVILEGE_SET()

#### PRIVILEGE_SET

    public PRIVILEGE_SET(int nbOfPrivileges)

Parameters:
  `nbOfPrivileges` - Desired size of the Privileges array

#### PRIVILEGE_SET

    public PRIVILEGE_SET(Pointer p)

Initialize a TOKEN_PRIVILEGES instance from initialized memory.

Parameters:
  `p` - base address

### Method Detail

#### getFieldOrder

    protected java.util.List<java.lang.String> getFieldOrder()

Description copied from class: `Structure`
Return this Structure's field names in their proper order. For example,

     protected List getFieldOrder() {
         return Arrays.asList(new String[] { ... });
     }

IMPORTANT When deriving from an existing Structure subclass, ensure that you augment the list provided by the superclass, e.g.

     protected List getFieldOrder() {
         List fields = new ArrayList(super.getFieldOrder());
         fields.addAll(Arrays.asList(new String[] { ... }));
         return fields;
     }

Field order must be explicitly indicated, since the field order as returned by `Class.getFields()` is not guaranteed to be predictable.

Specified by:
  `getFieldOrder` in class `Structure`
Returns:
  ordered list of field names

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.